import { IOverlayProxy } from "./IOverlayProxy";
import { Series } from "./Series";
import { Type, Base } from "igniteui-react-core/ES2015/type";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
export declare class OverlayProxy extends Base implements IOverlayProxy {
    matchesType(a: Series): boolean;
    setCloseMemberPath(a: Series, b: string): void;
    setHighMemberPath(a: Series, b: string): void;
    setLowMemberPath(a: Series, b: string): void;
    setMultiplier(a: Series, b: number): void;
    setOpenMemberPath(a: Series, b: string): void;
    setVolumeMemberPath(a: Series, b: string): void;
    setXAxis(a: Series, b: CategoryAxisBase): void;
    setYAxis(a: Series, b: NumericYAxis): void;
    static $t: Type;
}
